## Description
Provide a clear and concise description of the purpose and goal of this merge request.

## Related Issue
Specify any related issue(s) that this merge request addresses.

## Implementation Details
Describe the implementation details of this merge request. Include information such as:

- Functionality added or modified
- Design patterns or architectural decisions made
- Logic changes or additions in the codebase
- Data structure modifications
- Dependencies introduced or updated

## Impact on Existing Code
Document the impact of the changes made in this merge request on the existing codebase that calls this project. Consider the following points:

- Identify any breaking changes, deprecated functionality, or modifications that could affect the behavior of the existing code.
- Provide guidance on how the existing code should be updated to accommodate the changes in the API implementation.
- Mention any potential risks or side effects that might arise due to the modifications.

## Testing
Describe the testing approach taken to validate the changes made in this merge request. Include any relevant test cases, scenarios, or steps performed during testing.

## Alternative Solutions Considered
Explain any alternative solutions that have been considered for the implementation. Discuss the pros and cons of each alternative and why they haven't been chosen. This could include factors such as feasibility, performance implications, compatibility, or any other relevant considerations.

## Additional Notes
Add any additional notes, considerations, or context that may help reviewers understand and evaluate the merge request.

